import numpy as np
import matplotlib.pyplot as plt

width = 0.4
heap_t=[]    
qs_t = []     
data_name=[ 'ijcnn1','a9a', 'real-sim', 'rcv1', 'news20'] 
dataset = ["ijcnn1", "a9a", "real-sim", "rcv1_train.binary", "news20.binary"]

ROOT_PATH="./"
OUT_PATH=ROOT_PATH+"out/"

for data in dataset:
    out = OUT_PATH+data+"-sort-output.log"
    fl = open(out, 'r')
    for line in fl:
        sp = line.replace('\n', ' ')
        sp = sp.split(' ')

        if sp[0] == "average":
            if sp[4]=="quickselect":
                qs_t.append(float(sp[6]))
            elif sp[4]=="heap":
                heap_t.append(float(sp[6]))

print(heap_t)
print(qs_t)
x1=np.arange(len(data_name)) 
x2 =  [ p + width for p in x1]
y1=np.arange(0, 0.03, 0.005)  
plt.bar(x1, heap_t, label ="heap", width = 0.4 )    
plt.bar(x2, qs_t, label = "quickselect" ,width = 0.4)
plt.xticks([ p + width/2 for p in x1], data_name)    
y_ticks=np.arange(0, 0.03, 0.005)   
plt.yticks(y1, y_ticks)          
plt.legend()
plt.savefig("sort.png")